# -*- coding: utf-8; tab-width: 4 -*-
# Author: Yasutaka SHINDOH (新堂 安孝)

set -eu

declare command=''

if [ $# == 0 ]; then
	printf "USAGE: %s INFILE1 INFILE2 ... > OUTFILE\n" "$0" 1>&2
	exit 1
fi

while [ $# -gt 0 ]; do
	case $1 in
		*.xz)
			command='xz -cd';;
		*.lzma)
			command='lzma -cd';;
		*.lz)
			command='lzip -cd';;
		*.bz2)
			command='bzip2 -cd';;
		*.gz)
			command='gzip -cd';;
		*.z)
			command='uncompress -c';;
		*)
			command='cat'
	esac
	eval `printf "%s '%s'" "${command}" "$1"`
	shift
done
