# -*- coding: utf-8; tab-width: 4 -*-
# Author: Yasutaka SHINDOH (新堂 安孝)

set -eu

declare command=''

if [ $# != 1 ]; then
	printf "USAGE: %s OUTFILE < INFILE\n" "$0" 1>&2
	exit 1
fi

case $1 in
	*.xz)
		command='xz -c9';;
	*.lzma)
		command='lzma -c9';;
	*.lz)
		command='lzip -c9';;
	*.bz2)
		command='bzip2 -c9';;
	*.gz)
		command='gzip -c9';;
	*.z)
		command='compress -c';;
	*)
		command='cat'
esac
eval `printf "%s > '%s'" "${command}" "$1"`
